Subject: pkg/12186:
To: None <>
From: None <>
List: netbsd-bugs
Date: 02/11/2001 13:24:21
>Number:         12186
>Category:       pkg
>Confidential:   yes
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun Feb 11 13:27:00 PST 2001
>Originator:     Michael van Elst
>Release:        NetBSD-1.5.1_ALPHA
System: NetBSD duffy 1.5.1_ALPHA NetBSD 1.5.1_ALPHA (DUFFY) #0: Sun Feb 11 17:51:26 MET 2001 src@duffy:/amd/fud/d/0/src/sys/arch/i386/compile/DUFFY i386

w3m-0.1.11-pre from the package collection does not compile. make
aborts with:

cc -O -I/usr/pkg/include  -I/usr/include/openssl -I/usr/include -I.  -c file.c
file.c: In function `getNextPage':
file.c:5242: `code' undeclared (first use in this function)
file.c:5242: (Each undeclared identifier is reported only once
file.c:5242: for each function it appears in.)
*** Error code 1

Reason is that line 5242 should only be called if JP_CHARSET is defined.
The proper #ifdef is missing.


make sure that W3M_USE_JAPANESE is not set to YES in the Makefile.

cd pkgsrc/www/w3m ; make


Add #ifdef to file.c:5242

	lineBuf2 = convertLine(&uf, lineBuf2, &code);

 w3m-0.1.11-pre does not compile